Subject: Re: bug#40244: 27.0.90; MacOS Crash

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 26 Oct 2020 15:27:20 +0100

Perry Smith <[email-masked]> writes:

> I was using a nightly build from EmacsForMacOSX the first time but
> I’ve used the Emacs 27.0 pretest they have built for the last three
> times.

[...]

> 11  Emacs-x86_64-10_14            	0x000000010aed39f8 handle_sigsegv + 168
> 12  libsystem_platform.dylib      	0x00007fff6857c5fd _sigtramp + 29
> 13  ???                           	000000000000000000 0 + 0
> 14  Emacs-x86_64-10_14            	0x000000010af1761d garbage_collect + 2573
> 15  Emacs-x86_64-10_14            	0x000000010af3f32b Ffuncall + 331

It seems to be segfaulting inside the garbage collection?  I seem to
recall there's been several fixes in this area since 27.0.90.  Are you
still seeing this problem in more recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no